# Access Control

The table below outlines the access control permissions for the **Risk Engine** contract:

| **Access**              | **Role**                            | **Function name**   | **Description**                                                                |
| ----------------------- | ----------------------------------- | ------------------- | ------------------------------------------------------------------------------ |
| Protocol Owner          | \_PROTOCOL\_OWNER\_PERMISSION       | setOracle           | Sets the oracleEngine for retrieving the underlying asset price of the pToken. |
| Protocol Owner          | \_PROTOCOL\_OWNER\_PERMISSION       | setReserveShares    | Sets the percentage of accumulated reserve for owner and governor              |
| Governor (via Timelock) | \_CONFIGURATOR\_PERMISSION          | setCloseFactor      | Adjusts the max % of borrowed amount repayable during liquidation.             |
| Governor (via Timelock) | \_CONFIGURATOR\_PERMISSION          | configureMarket     | Adjusts the % bonus awarded to liquidators during liquidation. CF and LLTV     |
| Governor (via Timelock) | \_CONFIGURATOR\_PERMISSION          | supportMarket       | Enables the specified market for lending and borrowing on the protocol.        |
| Governor (via Timelock) | \_CONFIGURATOR\_PERMISSION          | supportEMode        | Adding E-mode category by specifying markets as collateral and borrow          |
| Governor (via Timelock) | \_BORROW\_CAP\_GUARDIAN\_PERMISSION | setMarketBorrowCaps | Sets the borrowing limits for specified markets within the protocol.           |
| Governor (via Timelock) | \_SUPPLY\_CAP\_GUARDIAN\_PERMISSION | setMarketSupplyCaps | Sets the supplying limits for specified markets within the protocol.           |
| Emergency Guardian      | \_PAUSE\_GUARDIAN\_PERMISSION       | setMintPaused       | Pauses or unpauses the minting for specified pToken.                           |
| Emergency Guardian      | \_PAUSE\_GUARDIAN\_PERMISSION       | setBorrowPaused     | Pauses or unpauses the borrowing for specified pToken.                         |
| Emergency Guardian      | \_PAUSE\_GUARDIAN\_PERMISSION       | setTransferPaused   | Pauses or unpauses the transferring pTokens for the whole protocol.            |
| Emergency Guardian      | \_PAUSE\_GUARDIAN\_PERMISSION       | setSeizePaused      | Pauses or unpauses the seizure of collateral during liquidation.               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pike.finance/developer-docs/smart-contracts/risk-engine/access-control.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
